Public Member Functions | Data Fields

# GRFFile Struct Reference

Dynamic data of a loaded NewGRF. More...

`#include <newgrf.h>`

## Public Member Functions
uint32 | GetParam (uint number) const
| Get GRF Parameter with range checking.
## Data Fields
char * | filename
bool | is_ottdfile
uint32 | grfid
byte | grf_version
uint | sound_offset
uint16 | num_sounds
struct StationSpec ** | stations
struct HouseSpec ** | housespec
struct IndustrySpec ** | industryspec
struct IndustryTileSpec ** | indtspec
struct ObjectSpec ** | objectspec
struct AirportSpec ** | airportspec
struct AirportTileSpec ** | airtspec
uint32 | param [0x80]
uint | param_end
| one more than the highest set parameter
GRFLabel * | label
| Pointer to the first label. This is a linked list, not an array.
uint8 | cargo_max
CargoLabel * | cargo_list
uint8 | cargo_map [NUM_CARGO]
uint8 | railtype_max
RailTypeLabel * | railtype_list
RailType | railtype_map [RAILTYPE_END]
CanalProperties | canal_local_properties [CF_END]
| Canal properties as set by this NewGRF.
struct LanguageMap * | language_map
| Mappings related to the languages.
int | traininfo_vehicle_pitch
| Vertical offset for draing train images in depot GUI and vehicle details.
uint | traininfo_vehicle_width
| Width (in pixels) of a 8/8 train vehicle in depot GUI and vehicle details.
uint32 | grf_features
| Bitset of GrfSpecFeature the grf uses.
PriceMultipliers | price_base_multipliers
| Price base multipliers as set by the grf.

## Detailed Description

Dynamic data of a loaded NewGRF.

Definition at line 101 of file newgrf.h.

The documentation for this struct was generated from the following file:

- src/newgrf.h